# Class HeaderWrapper

#### Hierarchy

- HeaderWrapper

#### Implements

- IViewWrapper

- Defined in src/file/header-wrapper.ts:16

#####
Index

### Constructors

constructor

### Accessors

Media
Relationships
View

### Methods

add
addChildElement

## Constructors

### constructor

- new HeaderWrapper(media: Media, referenceId: number, initContent?: XmlComponent): HeaderWrapper

- #### Parameters

  - ##### media: Media

  - ##### referenceId: number

  - ##### `Optional` initContent: XmlComponent

  #### Returns HeaderWrapper

  - Defined in src/file/header-wrapper.ts:20

## Accessors

### Media

- get Media(): Media

- #### Returns Media

  - Defined in src/file/header-wrapper.ts:43

### Relationships

- get Relationships(): Relationships

- #### Returns Relationships

  Implementation of IViewWrapper.Relationships

  - Defined in src/file/header-wrapper.ts:39

### View

- get View(): Header

- #### Returns Header

  Implementation of IViewWrapper.View

  - Defined in src/file/header-wrapper.ts:35

## Methods

### add

- add(item: Paragraph | Table): HeaderWrapper

- #### Parameters

  - ##### item: Paragraph | Table

  #### Returns HeaderWrapper

  - Defined in src/file/header-wrapper.ts:25

### addChildElement

- addChildElement(childElement: string | XmlComponent): void

- #### Parameters

  - ##### childElement: string | XmlComponent

  #### Returns void

  - Defined in src/file/header-wrapper.ts:31

Generated using TypeDoc